> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Numéro de téléphone basique

> Récupérez les données d'identité de base pour le numéro de téléphone principal enregistré au NIN d'un client.

L'endpoint Numéro de téléphone basique renvoie le nom et la date de naissance associés au numéro de téléphone principal enregistré contre le NIN d'un client. Pour les autres numéros liés au même NIN, utilisez [Numéro de téléphone avancé](/v3/kyc/nigeria/Phone_Number_Advanced).

## Endpoint

```
POST /api/onboarding/nigeria_kyc/phone_no_basic/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre      | Type   | Requis | Description                                                               |
| -------------- | ------ | ------ | ------------------------------------------------------------------------- |
| `phone_number` | string | Oui    | Le numéro de téléphone du client (format nigérian, par ex. `09011001100`) |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"phone_number": "09011001100"}'
  ```

  ```python Python theme={null}
  import requests
  response = requests.post(
      "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/phone_no_basic/",
      headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
      json={"phone_number": "09011001100"},
  )
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ              | Type   | Description                              |
| ------------------ | ------ | ---------------------------------------- |
| `data.surname`     | string | Nom de famille                           |
| `data.firstName`   | string | Prénom                                   |
| `data.middleName`  | string | Deuxième prénom                          |
| `data.dateOfBirth` | string | Date de naissance au format `YYYY-MM-DD` |
| `data.phoneNumber` | string | Numéro de téléphone interrogé            |

```json theme={null}
{
  "status": "success",
  "data": {
    "surname": "AKINSANYA",
    "firstName": "TISEOLUWA",
    "middleName": "JOHN",
    "dateOfBirth": "1909-09-19",
    "phoneNumber": "09011001100"
  },
  "message": "Phone Number details retrieved successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/nigeria_kyc/phone_no_basic/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/nigeria_kyc/phone_no_basic/:
    post:
      tags:
        - Nigeria KYC
      summary: Phone Number Basic
      operationId: phoneBasic
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - phone_number
              properties:
                phone_number:
                  type: string
                  example: '08012345678'
      responses:
        '200':
          description: Phone basic data retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````